{% load_banners position: position_text limit: 1 %}
{% for banner in loaded_banners %}
  {% capture form_text %}
    {% if banner.subtitle != blank %}
      <h2 class="title">{{ banner.subtitle }}</h2>
    {% endif %}
    {% if banner.description != blank %}
      {{ banner.description | replace: '<h1', '<h2' }}
    {% endif %}
  {% endcapture %}
{% endfor %}

<div class="form-wrapper section container">
  {% if form_text and form_text != blank %}
    <div class="form-text">
      {{ form_text }}
    </div>
  {% endif %}

  {% comment %} Ícones de infos da loja {% endcomment %}
  {% load_banners position: position_store_infos limit: 4 %}
  {% if loaded_banners.size > 0 %}
    <div class="section-infos">
      <div class="content">
        {% for banner in loaded_banners %}
          <div class="info">
            {% if banner.file_url != blank %}
              <img loading="lazy" class="lazy" data-src="{{ banner.file_url | resize: '32x' }}" alt="{{ banner.title }}">
            {% endif %}
            {% if banner.description != blank %}
              <p>{{ banner.description | strip_html }}</p>
            {% endif %}
          </div>
        {% endfor %}
      </div>
    </div>
  {% endif %}

  <form class="contact-form" data-webform="contact" id="contact-form" name="form-contact">
    <fieldset form="contact-form">
      <input type="hidden" name="key" value="{{ current_shop.subdomain }}-contato">
      <input id="reply_to" name="reply_to" type="hidden" value="">

      <input autocomplete="off" name="vnda" required tabindex="-1" type="text"/>

      <label class="label" for="name">
        <span>Nome</span>
        <input class="input" id="name" name="name" placeholder="Nome completo" required type="text">
      </label>

      <label class="label" for="email">
        <span>E-mail</span>
        <input class="input" id="email" name="email" placeholder="Email" required type="email">
      </label>

      <label class="label" for="phone">
        <span>Telefone</span>
        <input class="input" id="phone" name="phone" placeholder="Telefone" required type="tel">
      </label>

      <label class="label" for="subject">
        <span>Assunto</span>
        <input class="input" id="subject" name="subject" placeholder="Assunto" required type="text">
      </label>

      <label class="label -textarea" for="message">
        <span>Mensagem</span>
        <textarea class="text-area" id="message" name="message" placeholder="Sua mensagem aqui" required></textarea>
      </label>

      <div class="messages" data-msg-retorno>
        <p class="msg-received" data-msg></p>
        <p class="msg-received msg-success" data-msg-success>
          Obrigado! Enviado com sucesso.
        </p>
        <p class="msg-received msg-error" data-msg-error>
          Problema ao enviar, tente novamente.
        </p>
      </div>

      <button aria-label="Enviar formulário de contato" class="action button-default" type="button">
        Enviar
      </button>
    </fieldset>
  </form>
</div>
